Bug 168688 - Empty /var/log/secure leads to epylog warning
Empty /var/log/secure leads to epylog warning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: epylog (Show other bugs)
8
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 11:34 EDT by Jerry James
Modified: 2009-01-09 01:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:54:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2005-09-19 11:34:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
When /var/log/secure is empty, epylog issues the following complaint (including the blank line after the text):

Invalid syslog format string in /var/log/secure:



Version-Release number of selected component (if applicable):
epylog-1.0.3-3

How reproducible:
Always

Steps to Reproduce:
1. Make sure that /var/log/secure is empty just before the cron.daily run.
2. When cron runs epylog, it sends email containing the warning.

  

Actual Results:  Epylog complained about an invalid syslog format string in an empty file.

Expected Results:  Epylog should have been happy that the file was empty.

Additional info:
Comment 1 Konstantin Ryabitsev 2005-09-19 12:14:39 EDT
Hm... Is it really empty? As in, 0-length?
Comment 2 Jerry James 2005-09-30 17:32:30 EDT
That's right, 0 bytes long.  If there is anything in it at all, epylog doesn't
issue the error message.
Comment 3 Christian Iseli 2007-01-17 18:24:28 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 4 Jerry James 2007-01-25 11:30:23 EST
This bug is still present in epylog-1.0.3-4.fc6.
Comment 5 Jerry James 2007-03-29 12:59:18 EDT
Given the way offset ranges are used, I suspect that the definition of
OffsetRange.is_inside in log.py should be changed, namely these lines:

        elif ix == self.endix and offset > self.end_offset:
            logger.put(5, 'ix = self.endix and offset > self.end_offset')
            cond = 0

to these lines:

        elif ix == self.endix and offset >= self.end_offset:
            logger.put(5, 'ix = self.endix and offset >= self.end_offset')
            cond = 0

which would fix this bug.
Comment 6 Bug Zapper 2008-04-03 22:02:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Jerry James 2008-04-03 23:13:50 EDT
I can't get epylog-1.0.3-5.fc7 on F-8 to issue the warning message anymore, but
I still think the change in Comment #5 is correct and should be applied.
Comment 8 Bug Zapper 2008-11-26 01:52:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 01:54:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.